# Variable Infiltration Capacity (VIC-WUR) Macroscale Hydrologic Model

[![Documentation](https://readthedocs.org/projects/vicwur/badge/?version=latest)](http://vicwur.readthedocs.org/en/latest/) [![License](https://img.shields.io/badge/license-GPLv2-blue.svg)](https://raw.githubusercontent.com/UW-Hydro/VIC/master/LICENSE.txt) [![DOI](https://zenodo.org/badge/7766/BramDr/VIC.svg)](https://zenodo.org/badge/latestdoi/7766/BramDr/VIC)

----------

!!! note
    You are viewing the documentation for VIC-WUR. VIC-WUR extends the VIC model with several modules to simulate the human impact on global water resources. Only VIC-WUR described here, for further descriptions of VIC you are referred to the [VIC documentation page of UW-Hydro](http://vic.readthedocs.io/)

VIC-WUR ([Droppers et al., 2019](Documentation/References_vicwur.md)) is a macroscale hydrologic model that simulates the human impact on global water resources. VIC-WUR is based on VIC-5 ([Liang et al., 1994](Documentation/References_vicwur.md); [Hamman et al., 2018](Documentation/References_vicwur.md)), which solves full water and energy balances. 

VIC-WUR is a research model and has been applied globally. The VIC model is distributed under the [GNU GPL v2.0](http://www.gnu.org/licenses/gpl-2.0.html) license. If you make use of this model, please acknowledge the appropriate references listed on the [references](Documentation/References_vicwur.md) page. These should include [Liang et al., 1994](Documentation/References_vicwur.md) for VIC, [Droppers et al., 2019](Documentation/References_vicwur.md) for VIC-WUR, and any references relevant to the features you are using, which are cited in the feature descriptions on the [VIC-WUR Model Overview](Overview/ModelOverview_vicwur.md) page.

Development and maintenance of the current official version of the VIC-WUR model is led by the [Water Systems and Global Change group | Departement of Environmental sciences | Wageningen University](https://www.wur.nl/en/Research-Results/Chair-groups/Environmental-Sciences/Water-Systems-and-Global-Change-Group.htm). Every new application addresses new problems and conditions that the model may not currently be able to handle, and as such the model is always under development. The VIC-WUR model is an open source development project, which means that contributions are welcome, including to the VIC-WUR documentation.

All development activity is coordinated via the [VIC-WUR github page](https://github.com/wur-wsg/VIC), where you can also find all archived, current, beta, and development versions of the model.

-----
